Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding
Class ComplexFilter

    java.lang.Object
      org.deegree.model.filterencoding.AbstractFilter
          org.deegree.model.filterencoding.ComplexFilter

All Implemented Interfaces:
  Filter

    public class ComplexFilter

extends AbstractFilter

Encapsulates the information of a element that contains an Operation (only) (as defined in the Filter DTD). Operation is one of the following types:

- spatial_ops
- comparison_ops
- logical_ops

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`ComplexFilter(ComplexFilter filter1, ComplexFilter filter2, int operatorId)` Constructs a new `ComplexFilter`that consists of a `LogicalOperation` with the given `Filter`.``
`ComplexFilter(int operatorId)` Constructs a new `ComplexFilter`that consists of an empty `LogicalOperation` of the given type.``
`ComplexFilter(Operation operation)` Constructs a new ComplexFilter based on the given operation.

Method Summary
`boolean` | `evaluate(Feature feature)` Calculates the `Filter`'s logical value based on the certain property values of the given feature.
`Operation` | `getOperation()` Returns the contained Operation.
`StringBuffer` | `to100XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.
`StringBuffer` | `to110XML()` Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.
`StringBuffer` | `toXML()` Produces an XML representation of this object.

Methods inherited from class org.deegree.model.filterencoding.AbstractFilter
`buildFromDOM, buildFromDOM`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComplexFilter

    public ComplexFilter(Operation operation)

  Constructs a new ComplexFilter based on the given operation.

  Parameters:
    `operation` -

### ComplexFilter

    public ComplexFilter(int operatorId)

  Constructs a new `ComplexFilter`that consists of an empty `LogicalOperation` of the given type.

  Parameters:
    `operatorId` - OperationDefines.AND, OperationDefines.OR or OperationDefines.NOT
  ``

### ComplexFilter

    public ComplexFilter(ComplexFilter filter1,
                         ComplexFilter filter2,
                         int operatorId)

  Constructs a new `ComplexFilter`that consists of a `LogicalOperation` with the given `Filter`.

  Parameters:
    `filter1` - first Filter to be used
    `filter2` - second Filter to be used null, if operatorId == OperationDefines.NOT
    `operatorId` - OperationDefines.AND, OperationDefines.OR or OperationDefines.NOT
  ``

Method Detail

### getOperation

    public Operation getOperation()

  Returns the contained Operation.

  Returns:
    the contained Operation.

### evaluate

    public boolean evaluate(Feature feature)
                     throws FilterEvaluationException

  Calculates the `Filter`'s logical value based on the certain property values of the given feature.

  Parameters:
    `feature` - that determines the values of `PropertyNames` in the expression
  Returns:
    true, if the `Filter` evaluates to true, else false
  Throws:
    `FilterEvaluationException` - if the evaluation fails

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Filter`
  Produces an XML representation of this object.

  Returns:
    an XML representation of this object

### to100XML

    public StringBuffer to100XML()

  Description copied from interface: `Filter`
  Produces an XML representation of this object that complies to Filter Encoding specification 1.0.0.

  Returns:
    an XML representation of this object

### to110XML

    public StringBuffer to110XML()

  Description copied from interface: `Filter`
  Produces an XML representation of this object that complies to Filter Encoding specification 1.1.0.

  Returns:
    an XML representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org